import { DeviceType } from '@ucap-webmessenger/core';
import {
  APIRequest,
  APIResponse,
  APIEncoder,
  APIDecoder,
  ParameterUtil
} from '@ucap-webmessenger/api';

export interface MassTalkDownloadRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  eventMassSeq?: string;
}

export interface MassTalkDownloadResponse extends APIResponse {
  Content?: string;
  UserName?: string;
  RegDate?: string;
}

const massTalkDownloadEncodeMap = {};

export const encodeMassTalkDownload: APIEncoder<MassTalkDownloadRequest> = (
  req: MassTalkDownloadRequest
) => {
  return ParameterUtil.encode(massTalkDownloadEncodeMap, req);
};

export const decodeMassTalkDownload: APIDecoder<MassTalkDownloadResponse> = (
  res: any
) => {
  return {} as MassTalkDownloadResponse;
};
